function likec = likely(dely,ylag,zeta);
% This MATLAB function file evaluates log likelihood for cointegration example
% 	  inputs:
%		dely = (2 x n) matrix of changes in observations
%           ylag = (2 x n) matrix of lagged levels of observations 
%		b = [b1; b2] = (2 x 1) vector of b values
%           a = [a1; a2] = (2 x 1) vector of a values
%	   output:
%		log likelihood 
	[g,capt] = size(dely);
epshat = dely - zeta*ylag;
omegahat = epshat*epshat';
likec = -(capt*g/2)*log(2*pi) -(1/2)*sum(diag(omegahat));

	
