function [x1,x2,likes]=twobytwo(dely,lagy,truea,trueb,bcont);
% This Matlab function calculates matrix of data used to generate a contour plot
% for cointegration example 
% inputs:
%	dely = (2 x capt) matrix of observations on changes
%	lagy = (2 x capt) matrix of observations on lagged levels
%	truea = (2 x 1) vector of true values for a
%	trueb = (2 x 1) vector of true values for b
%	bcont = 1 means set b1 = 0, a1 = 1
%	bcont = 2 means set b1 = 0, a2 = 1
%	bcont = 3 means set b1 = 0, b2 = 1
% outputs:
%	x1 = (1 x nj) vector of different values for first unrestricted element of [b; a]
%	x2 = (1 x nj) vector of different values for second unrestricted element of [b; a]
%	likes = (nj x nj) matrix of value of log likelihoods associated with each combination

delj = 0.05;
nj = 4/0.05 + 1;
x1 = -2:delj:2;
x2 = -2:delj:2;
likes = zeros(nj,nj);
btry = zeros(2,1);
atry = zeros(2,1);
if bcont == 1;
    atry(1) = 1;
elseif bcont == 2;
    atry(2) = 1;
elseif bcont == 3;
    btry(2) = 1;
end;

icount = 1;
i = 1;
while i <= nj;
	j = 1;
	while j <= nj;
		if bcont == 1;
			btry(2) = x1(i);
			atry(2) = x2(j);
		elseif bcont == 2;
			btry(2) = x1(i);
			atry(1) = x2(j);
		elseif bcont == 3;
			atry(2) = x1(i);
			atry(1) = x2(j);
		end;
		zeta = btry*atry';
        likes(i,j) = likely(dely,lagy,zeta);
        j = j+1;
    end;
i = i+1;
end;

