% This MATLAB program plots coverage probabilities for mixture distribution
% for the three different normalizations

smpl = [10 20 50 100];

% use these lines for N(0,1) priors
load cov_by_norm.txt -ascii;
mse = cov_by_norm;


munorm = [mse(:,1) mse(:,4) mse(:,7) mse(:,10)];
pnorm = [mse(:,2) mse(:,5) mse(:,8) mse(:,11)];
hnorm = [mse(:,3) mse(:,6) mse(:,9) mse(:,12)];
ideal = [90 90 90 90];
% munorm = log(munorm);

% mustar = spline(smpl,munorm(1,:),smplstar);

subplot('Position',[0.2 0.7 0.6 0.2]);
plot(smpl,munorm(1,:),'-',smpl,pnorm(1,:),'--',...
smpl,hnorm(1,:),':',smpl,ideal,'-')
legend('\mu1 > \mu2','p > 0.5','Wald','Ideal')
axis([10,100,80,100])
title('Coverage for \mu1')

subplot('Position',[0.2 0.4 0.6 0.2]);
plot(smpl,munorm(2,:),'-',smpl,pnorm(2,:),'--',smpl,hnorm(2,:),':',smpl,ideal,'-')
legend('\mu1 > \mu2','p > 0.5','Wald','Ideal')
axis([10,100,80,100])
title('Coverage for \mu2')

subplot('Position',[0.2 0.1 0.6 0.2]);
plot(smpl,munorm(3,:),'-',smpl,pnorm(3,:),'--',smpl,hnorm(3,:),':',smpl,ideal,'-')
legend('\mu1 > \mu2','p > 0.5','Wald','Ideal')
axis([10,100,80,100])
title('Coverage for p')