function likec = Pi_likely(y, pi1,pi2,rho);
% This MATLAB function file evaluates log likelihood for supply-demand example
% for pi-normalization 
% 	  inputs:
%		y = (n x g) matrix of observations
%		
%	   output:
%		log likelihood function 

[n,g] = size(y);
sig1 = sqrt(0.68);
sig2 = sqrt(0.32);
omega = [sig1^2 rho*sig1*sig2 0; rho*sig1*sig2 sig2^2 0; 0 0 1];
alpha = [1 0 pi1; 0 1 pi2; 0 0 1];
ominv = chol(omega);
ominv = inv(ominv);
ominv = ominv'; 
alpha = ominv*alpha;
likeq = y*alpha';
likeq = likeq .^ 2;
likeq = sum(likeq);
likeq = sum(likeq');
junkdet = det(alpha);
if junkdet^2 > 1.e-10000;
	likeq = -(n*g/2)*log(2*pi) ... 
		+ (n/2)*log(junkdet^2) - (1/2)*likeq;
else;
	likeq = -100000;
end;
likec = likeq;
