
#include <math.h>
#include "pi.h"

void NormalizePi(TMatrix A, TMatrix F)
{
  TMatrix C=CreateMatrix(3,3);
  PRECISION d=1.0/(A[0][0]*A[1][1] - A[0][1]*A[1][0]);
  C[0][0]= A[1][1]*d; C[0][1]=-A[0][1]*d; C[0][2]=0.0;
  C[1][0]=-A[1][0]*d; C[1][1]= A[0][0]*d; C[1][2]=0.0;
  C[2][0]= 0.0;       C[2][1]= 0.0;       C[2][2]=(A[2][2] > 0) ? 1.0 : -1.0;
  d=1.0/sqrt(C[0][0]*C[0][0] + C[1][0]*C[1][0]);
  C[0][0]*=d;
  C[1][0]*=d;
  d=1.0/sqrt(C[0][1]*C[0][1] + C[1][1]*C[1][1]);
  C[0][1]*=d;
  C[1][1]*=d;  
  ProductMM(A,A,C);
  if (F) ProductMM(F,F,C);
  FreeMatrix(C);
}

TMatrix* ImpulseResponseArrayPi(TMatrix *Impulse, TMatrix A, TMatrix F, int n_lag, int horizon)
{
  TMatrix A_prime, F_prime, *rtrn;
  A_prime=EquateMatrix((TMatrix)NULL,A);
  F_prime=F ? EquateMatrix((TMatrix)NULL,F): (TMatrix)NULL;
  NormalizePi(A_prime,F_prime);
  rtrn=ImpulseResponseArray(Impulse,A_prime,F_prime,n_lag,horizon);
  FreeMatrix(A_prime);
  FreeMatrix(F_prime);
  return rtrn;
}

TMatrix ImpulseResponsePi(TMatrix Impulse, TMatrix A, TMatrix F, int n_lag, int horizon, int shock)
{
  TMatrix A_prime, F_prime, rtrn;
  A_prime=EquateMatrix((TMatrix)NULL,A);
  F_prime=F ? EquateMatrix((TMatrix)NULL,F): (TMatrix)NULL;
  NormalizePi(A_prime,F_prime);
  rtrn=ImpulseResponse(Impulse,A_prime,F_prime,n_lag,horizon,shock);
  FreeMatrix(A_prime);
  FreeMatrix(F_prime);
  return rtrn;
}
