
#include "m_array.h"

/* Matrix Arrays */
TMatrix* CreateMatrixArray(int length)
{
 TMatrix *A;
 if (length <= 0)
   MatrixError(SIZE_ERR);
  else
   if (!(A=(TMatrix*)((int *)malloc(length*sizeof(TMatrix)+sizeof(int))+1)))
     MatrixError(MEM_ERR);
    else
     {
      MA_LEN(A)=length;
      while (--length >= 0) A[length]=(TMatrix)NULL;
     }
 return (A);
}

void FreeMatrixArray(TMatrix *A)
{
 int i;
 if (A)
  {
   for (i=MA_LEN(A)-1; i >= 0; i--) FreeMatrix(A[i]);
   free((int *)A-1);
  }
}

/* Vector Arrays */
TVector* CreateVectorArray(int length)
{
 TVector *A;
 if (length <= 0)
   MatrixError(SIZE_ERR);
  else
   if (!(A=(TVector*)((int *)malloc(length*sizeof(TVector)+sizeof(int))+1)))
     MatrixError(MEM_ERR);
    else
     {
      VA_LEN(A)=length;
      while (--length >= 0) A[length]=(TVector)NULL;
     }
 return (A);
}

void FreeVectorArray(TVector *A)
{
 int i;
 if (A)
  {
   for (i=MA_LEN(A)-1; i >= 0; i--) FreeVector(A[i]);
   free((int *)A-1);
  }
}


