function likec = likely(y, alpha,omega);
% This MATLAB function file evaluates log likelihood for supply-demand example 
% 	  inputs:
%		y = (n x g) matrix of observations
%		alpha = (g x g) matrix of coefficients
%		dee = (g x g) variance matrix for structural disturbances
%	   output:
%		log likelihood function assuming that alpha*y is N(0,omega) 
	[n,g] = size(y);
    ominv = chol(omega);
    ominv = inv(ominv);
    ominv = ominv'; 
    alpha = ominv*alpha;
	likeq = y*alpha';
	likeq = likeq .^ 2;
	likeq = sum(likeq);
	likeq = sum(likeq');
	junkdet = det(alpha);
	if junkdet^2 > 1.e-10000;
		likeq = -(n*g/2)*log(2*pi) ... 
			+ (n/2)*log(junkdet^2) - (1/2)*likeq;
	else;
		likeq = -100000;
	end;
likec = likeq;
