% This MATLAB function maximizes concentrated log likelihood with
% respect to beta, gamma, and h

load ydata.txt -ascii
[rows,cols] = size(ydata);

% convert to resids to concentrate likelihood function
y0 = ydata(4:rows,:);
y1 = ydata(3:rows-1,:);
y2 = ydata(2:rows-2,:);
xmat = [y1 y2];
bhat = inv(xmat'*xmat)*xmat'*y0;
uhat = y0 - xmat*bhat;
x2mat = [y1(:,3) y2(:,3)];      % x2mat just has the weather
b2hat = inv(x2mat'*x2mat)*x2mat'*y0(:,3);
uhat(:,3) = y0(:,3) - x2mat*b2hat;  % so likelihood is concentrated with
                                    % restrictions on B1 and B2
ydata = uhat;
T = 50;

x0 = [2;-0.5;0.5];
H0 = eye(3);
crita0 = sqrt(eps);   % Sims's csminwel's convergence ((only one) criterion.
nit = 100;    % Maximum number of iterations for csminwell.m to meet crita0.

[fhat,x1,gradhat,Hhat,itct,fcount,exitflag] = ...
         csminwel('likex',x0,H0,'',crita0,nit,ydata); 
     fhat
     x1
    
